Returns the maximum number of documents

- « SolrQuery::getQuery

- SolrQuery::getSortFields »

- PHP Manual
- SolrQuery
- Returns the maximum number of documents

# SolrQuery::getRows

(PECL solr >= 0.9.2)

SolrQuery::getRows — Returns the maximum number of documents

### Description

public SolrQuery::getRows(): int

Returns the maximum number of documents from the complete result set to return to the client for every request

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `null` if not set.